- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.BatchCreateAudienceSegmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#body.aspect)
- [CreateAudienceSegmentRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#CreateAudienceSegmentRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#CreateAudienceSegmentRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#try-it)

Creates `AudienceSegment` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `AudienceSegments` will be created. Format: `networks/{networkCode}` The parent field in the CreateAudienceSegmentRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#CreateAudienceSegmentRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchCreate#CreateAudienceSegmentRequest`)`` Required. The `AudienceSegment` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `audienceSegments.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "audienceSegments": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`) } ] } ``` |

| Fields ||
|---|---|
| `audienceSegments[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`)`` The `AudienceSegment` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateAudienceSegmentRequest

Request object for `audienceSegments.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "audienceSegment": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `AudienceSegment` will be created. Format: `networks/{networkCode}` |
| `audienceSegment` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`)`` Required. The `AudienceSegment` to create. Only first-party segments can be created. |